Force an immediate fetch
Triggers an immediate out-of-schedule fetch and rule evaluation for the source. Rate-limited to 1 fetch per 10 seconds per source.
POST
/data-sources/{id}/fetch
Triggers an immediate out-of-schedule fetch and rule evaluation for the source. Rate-limited to 1 fetch per 10 seconds per source.
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Responses
200
Fetch triggered
application/jsondata
object
id
string
triggered
boolean
404
Not found
429
Rate limited (1 fetch / 10s per source)
curl -X POST 'https://happyuptime.com/api/v1/data-sources/string/fetch' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/data-sources/string/fetch', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/data-sources/string/fetch', headers=headers)print(response.json())
200
Response
{ "data": { "id": "<string>", "triggered": true }}
API Playground
Try this endpoint
POST
/data-sources/{id}/fetch